# Copyright (c) 2006-2013 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de


Name:           isomaster
Version:        1.3.9
Release:        1.1
License:        GPL-2.0
Summary:        Graphical CD image editor for reading, modifying and writing ISO images
Url:            http://littlesvr.ca/isomaster/
Group:          Productivity/Multimedia/Other
Source:         http://littlesvr.ca/isomaster/releases/%{name}-%{version}.tar.bz2
#PATCH-FIX-PACKMAN isomaster-fix-linker.patch malcolmlewis@opensuse.org -- Revert linking to previous version.
Patch0:         isomaster-fix-linker.patch
BuildRequires:  fdupes
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(pango)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ISO Master is a graphical editor for ISO images with support for
ISO9660, RockRidge, and Joliet file names. It is useful for
extracting, deleting, or adding files and directories to or from
an ISO image.

%lang_package
%prep
%setup -q
%patch0 -p1

%build
make %{?_smp_mflags} \
	PREFIX=%{_prefix} \
	DEFAULT_EDITOR=kwrite

%install
%makeinstall \
	MYMANPATH=%{_mandir}/man1 \
	MYDOCPATH=%{_defaultdocdir}/bkisofs \
	PREFIX=%{_prefix}

# icon and menu-entry
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 icons/%{name}.png \
	%{buildroot}%{_datadir}/pixmaps

sed -i -e 's|Icon=/usr/share/isomaster/icons/isomaster.png|Icon=isomaster.png|g' \
	%{buildroot}%{_datadir}/applications/%{name}.desktop
echo "Encoding=UTF-8" >> %{buildroot}%{_datadir}/applications/%{name}.desktop
%suse_update_desktop_file -n %{name} AudioVideo AudioVideoEditing

rm -rf %{buildroot}%{_datadir}/locale/sr@Latn
rm -rf %{buildroot}%{_datadir}/locale/ur_PK
%find_lang %{name} %{?no_lang_C}

%fdupes %{buildroot}

%files
%defattr(-,root,root)
%doc *.TXT
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/icons/
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%dir %{_defaultdocdir}/bkisofs
%doc %{_defaultdocdir}/bkisofs/*.html

%files lang -f %{name}.lang

%changelog
* Tue Mar 19 2013 malcolmlewis@opensuse.org
- Updated to version 1.3.9:
  + Added Slovak and Lithuanian translations.
  + Fixed potential crash when opening a file from the "Recently
    used" section.
- Add isomaster-fix-linker.patch: Revert linking to previous
  version.
- General spec file cleanup.
* Thu Jan  6 2011 pascal.bleser@opensuse.org
- update to 1.3.8: Japanese and Urdu translations were added
* Tue Jan  5 2010 toni@links2linux.de
- update to 1.3.7
- This release fixes a serious bug that would cause some images to
  be created with corrupted files inside.
* Sat Nov 21 2009 toni@links2linux.de
- rebuild with new upstream tarball to enable the bkisofs docs
* Mon Oct 19 2009 toni@links2linux.de
- update to 1.3.6
- A Latvian translation and an "open recent" feature were added. Some reliability
  bugs were fixed. The bkisofs documentation was added to the distribution
  tarball.
* Fri Jan  2 2009 toni@links2linux.de
- update to 1.3.5
* Sun Nov 30 2008 toni@links2linux.de
- update to 1.3.4
* Tue Jul  1 2008 toni@links2linux.de
- update to 1.3.3
* Sun Jun 29 2008 toni@links2linux.de
- update to 1.3.2
* Sun Feb  3 2008 toni@links2linux.de
- update to 1.3.1
* Tue Dec 18 2007 toni@links2linux.de
- update to 1.3
* Sat Oct 27 2007 toni@links2linux.de
- update to 1.2
* Tue Aug 28 2007 toni@links2linux.de
- update to 1.1
* Sun Jun 10 2007 toni@links2linux.de
- update to 1.0
* Mon Mar 19 2007 toni@links2linux.de
- update to 0.8.1
* Sat Mar 17 2007 toni@links2linux.de
- update to 0.8
* Fri Jan 12 2007 toni@links2linux.de
- update to 0.7
* Sun Dec 10 2006 toni@links2linux.de
- update to 0.6
- removed external iconmaster.png
* Sun Nov 26 2006 toni@links2linux.de
- added forgotten icons
* Sun Oct 29 2006 toni@links2linux.de
- update to 0.5
* Wed Sep 27 2006 toni@links2linux.de
- initial release
